#language: ru

Функция: Регистрация пользователя
Сценарий: Успешная Регистрация
Допустим я нахожусь на странице "/register"
Если я ввожу "TestUser" в поле "username"
И я ввожу "Test User" в поле "displayName"
И я ввожу "testuser@mail.com" в поле "email"
И я ввожу "123456" в поле "password"
И загружаю фаил "uploads/Mark.jpeg"
И я нажимаю кнопку "signUp"
То я вижу текст "Name executor:"
#login
И теперь я на странице "/login"
И я ввожу "TestUser" в поле "username"
И я ввожу "123456" в поле "password"
И я нажимаю кнопку "signIn"
То я на главной вижу текст "Name executor:"
#artist
И я теперь на странице артиста"/"
И я нажимаю кнопку создания артиста "add-artist"
И я вижу в адресе "/artist/add-artist"
И я ввожу "Test Artist" в поле "name"
И я ввожу "New artist 20 old" в поле "description"
И я загружаю фото "uploads/Mark.jpeg"
И я нажимаю кнопку "saveArtist"
То я вижу текст на главной "Name executor:"
#album
И я теперь проверяю адрес "/"
И я нажимаю кнопку создания альбома "add-album"
И я вижу в адресе "/album/add-album"
И я ввожу "Test album" в поле "album"
И я нажимаю селект "artist"
И я выбираю "li" элемент "Test Artist"
И я загружаю фото "uploads/Mark.jpeg"
И я нажимаю кнопку "saveAlbum"
То я на странице вижу текст "Name executor:"
# track history
И я проверяю адрес "/"
И я жму элемент "div" артиста "Monroe Doerty"
И я жму элемент "div" альбома "Tulips"
И я жму элемент "div" трека "1"
И я жму элемент "div" трека "3"
И я перехожу на страницу "/track_history"
И я вижу на этой странице текст "User name:"
#track
И я теперь проверяю адрес страницы "/"
И я нажимаю кнопку создания трека "add-track"
И я в адресе вижу "/track/add-track"
И я ввожу "Test track" в поле "track"
И я ввожу "1" в поле "trackNumber"
И я ввожу "0211" в поле "time"
И я выбираю селект альбом "album"
И я выбираю элемент "li" альбом "Test album"
И я жму кнопку "saveTrack"
То я вижу на странице текст "Name executor:"